commit fb9d96e95a0061383063590b5bd22c4c8a0fba08
Author: Olga Brani <olgabrani@grnet.gr>
Date:   Wed Jan 8 12:29:58 2014 +0200

    astakos: Table manipulation style improvments

diff --git a/snf-astakos-app/astakos/im/static/im/css/modules.css b/snf-astakos-app/astakos/im/static/im/css/modules.css
index 8ca6993..ae35d5e 100644
--- a/snf-astakos-app/astakos/im/static/im/css/modules.css
+++ b/snf-astakos-app/astakos/im/static/im/css/modules.css
@@ -198,9 +198,10 @@ a.button 										{ border:0 none;  color: #FFFFFF;  display: inline-block;  te
 a.button:hover								 	{ background-color: #F89A1C; border:0 none; color:#fff;}*/
 
 /*pagination*/
-.dataTables_wrapper 							{ margin-bottom: 1em}
+.dataTables_wrapper 							{ margin-bottom: 1em; position: relative;}
 .dataTables_wrapper th:hover 					{ cursor: pointer}
-.dataTables_info 								{ float:left;}
+.dk_fouc .dataTables_wrapper  select			{ top: auto; visibility: visible;}
+.dataTables_info 								{ float:left; margin-bottom: 1em;}
 .dataTables_paginate                            { float:right; }
 .dataTables_paginate a:after 					{ content: ' >';}
 .dataTables_paginate a:first-child:after 		{ content: '';}
@@ -214,11 +215,11 @@ a.button:hover								 	{ background-color: #F89A1C; border:0 none; color:#fff;}
 .dataTables_paginate .paginate_disabled_previous,
 .dataTables_paginate .paginate_disabled_next,
 .dataTables_paginate .paginate_disabled_next:hover { color: gray; text-decoration: none}
-.dataTables_filter 								{ position: absolute; right: 0;}
+.dataTables_filter 								{ position: absolute; right: 0; top: -2px;}
 .dataTables_filter input 						{ border: 1px solid #9e9e9e; height: 21px; line-height: 21px; padding: 3px 10px;}
 .dataTables_paginate .nums                      { text-align:left;}
-.dataTables_paginate .nums span                          { color:#000;}
-.dataTables_paginate .next-prev a.disabled				{ text-decoration: none; color:#ccc; cursor:default; }
+.dataTables_paginate .nums span                 { color:#000;}
+.dataTables_paginate .next-prev a.disabled		{ text-decoration: none; color:#ccc; cursor:default; }
 .two-cols .lt .clients-wrapper p				{ padding:0; }
 #members-table_wrapper .dataTables_filter 		{ position: relative; text-align: right}
 
diff --git a/snf-astakos-app/astakos/im/static/im/js/common.js b/snf-astakos-app/astakos/im/static/im/js/common.js
index e55f5e6..dc60014 100644
--- a/snf-astakos-app/astakos/im/static/im/js/common.js
+++ b/snf-astakos-app/astakos/im/static/im/js/common.js
@@ -1,6 +1,6 @@
-function setContainerMinHeight( applicableDiv){
-	
-    if ( $(applicableDiv).length > 0 ) {
+function setContainerMinHeight(applicableDiv) {
+
+    if ($(applicableDiv).length > 0) {
         //var h = $('.header').height(); div.header is not found 
         var f = $('.footer').height();
         var w = $(window).height();
@@ -116,7 +116,9 @@ function tableSort(tableEl, iDisplayLength, bFilter) {
   tableEl.dataTable({
     "bFilter": bFilter,
     "iDisplayLength": iDisplayLength,
-    "bLengthChange": false,
+    "bLengthChange": true,
+    "sDom": '<"top">frt<"clearfix"i><"bottom"pl>',
+    "bStateSave": true,
     "aoColumnDefs": [
          { "sType": "num-html", "aTargets": numHTMLArr },
          { "sType": "date-uk", "aTargets": dateArr },
@@ -486,7 +488,7 @@ $('#members-table tr .check input').click(function(e){
   })
 
   tableSort($('.projects-intro').siblings('table#projects-list'), 10, true );
-  tableSort($('.search-projects').siblings('table#projects-list'), 20, false);
+  tableSort($('.search-projects').siblings('table#projects-list'), 20, true);
   tableSort($('#members-table'), 10, true);
 
 });
diff --git a/snf-astakos-app/astakos/im/templates/im/projects/search_form.html b/snf-astakos-app/astakos/im/templates/im/projects/search_form.html
index 15ab5b0..b10c104 100644
--- a/snf-astakos-app/astakos/im/templates/im/projects/search_form.html
+++ b/snf-astakos-app/astakos/im/templates/im/projects/search_form.html
@@ -1,11 +1,4 @@
 <div class="search-projects">
-	<p>Search for existing Projects and join the ones you like. Please search by Project name. </p>
-	<form action="{% url project_search %}" method="post" class="withlabels signup submit-inline">{% csrf_token %}
-	    {% include "im/form_render.html" %}
-	    <div class="form-row submit">
-	        <input type="submit" class="submit altcol" value="SEARCH" />
-	        {% if q %}<a href="{% url project_search %}">clear</a>{% endif %}
-	    </div>
-	</form>
+	<p>Search for existing Projects and join the ones you like. </p><br>
 </div>
 
